#' --- 
#' title: Analysis of slido surveys
#' author: Nora Wickelmaier
#' --- 

#+ include = FALSE
# setwd("C:/Users/nwickelmaier/Nextcloud/Documents/teaching/iwm/data_management/01_intro/surveys")

#' # Habits

q1 <- trimws(readLines("habits.txt"))

habits <- data.frame(q1,
                     habit = c("workflow", "data sharing",
                               "documentation", "workflow", "workflow",
                               "data organisation", "workflow",
                               "workflow", "documentation",
                               "data sharing", "workflow", "data organisation",
                               "documentation", "workflow", "workflow",
                               "data sharing", "documentation",
                               "documentation", "workflow", "workflow",
                               "data organisation", "documentation",
                               "documentation", "documentation",
                               "documentation", "workflow",
                               "documentation", "workflow",
                               "documentation", "workflow", "workflow",
                               "workflow"))

table(habits$habit)

habits[order(habits$habit),]

#print(xtable::xtable(habits[order(habits$habit),]), include.rownames = FALSE)

#' # Barriers

q2 <- trimws(readLines("barriers.txt"))

barriers <- data.frame(q2,
                       barrier = c("lack of consistency", "perfectionism",
                                   "responsibility diffusion", "low priority",
                                   "low priority", "lack of skills",
                                   "lack of time", "low priority",
                                   "perfectionism", "lack of consistency",
                                   "lack of time", "low priority",
                                   "lack of skills", "lack of skills",
                                   "perfectionism", "lack of time",
                                   "low priority", "lack of time",
                                   "lack of skills", "low priority",
                                   "low priority"))

table(barriers$barrier)

barriers[order(barriers$barrier),]

#' # Topics

q3 <- trimws(readLines("topics.txt"))

topics <- data.frame(q3,
                     topic = c("data sharing", "workflow",
                               "clean coding", "data organisation",
                               "workflow", "workflow", "workflow",
                               "data organisation", "clean coding",
                               "version control", "clean coding",
                               "data sharing", "workflow",
                               "data organisation", "data sharing"))

table(topics$topic)

topics[order(topics$topic),]

